Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetSessionLog

java.lang.Object
ru.bitel.bgbilling.modules.inet.common.bean.InetSession
ru.bitel.bgbilling.modules.inet.common.bean.InetSessionLog

All Implemented Interfaces:
  `Cloneable`

public class InetSessionLog extends InetSession implements Cloneable

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.inet.common.bean.InetSession

  `connectionId, deviceState, id, lastActive, parentId, sessionCost, sessionStart, sessionStop, sessionTime, splittedId, status, STATUS_ALIVE, STATUS_CLOSED, STATUS_FINISHED, STATUS_SUSPENDED, TYPE_FAKE, TYPE_NORMAL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetSessionLog()`
  `InetSessionLog(InetConnection connection, InetSession session)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InetSessionLog`
  `clone()`
  `boolean`
  `equals(Object obj)`
  `int`
  `getAccessCode()`
  Для неавторизованной сессии - код ошибки.
  `Map<Integer,InetSessionLogAccount>`
  `getAccountMap()`
  `String`
  `getAcctSessionId()`
  `int`
  `getAgentDeviceId()`
  `String`
  `getCalledStationId()`
  `String`
  `getCallingStationId()`
  `List<InetSessionLog>`
  `getChildren()`
  `String`
  `getCircuitId()`
  `Date`
  `getConnectionStart()`
  `String`
  `getConnectionStartAsString()`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `byte[]`
  `getDelegatedPrefix()`
  `short`
  `getDelegatedPrefixLength()`
  `int`
  `getDelegatedPrefixResourceId()`
  `int`
  `getDeviceId()`
  `Set<Integer>`
  `getDeviceOptions()`
  `int`
  `getDevicePort()`
  `String`
  `getDurationAsString()`
  Возвращает продолжительность сессии в строковом виде.
  `String`
  `getFromNumberToNumberAsString()`
  Возвращает строку "с номера/на номер" для отображения в таблице
  `String`
  `getInetAddress()`
  `byte[]`
  `getInetAddressBytes()`
  `int`
  `getIpResourceId()`
  `long`
  `getParentConnectionId()`
  `byte[]`
  `getPrefix()`
  `short`
  `getPrefixLength()`
  `int`
  `getPrefixResourceId()`
  `String`
  `getRealm()`
  `List<IpNet>`
  `getRouteList()`
  `String`
  `getServiceTitle()`
  `int`
  `getServId()`
  `String`
  `getSessionActivityAsString()`
  `String`
  `getSessionStartAsString()`
  `String`
  `getSessionStopAsString()`
  `String`
  `getStatusName()`
  `Map<Integer,Long>`
  `getTrafficMap()`
  `int`
  `getType()`
  Авторизированная ли сессия.
  `String`
  `getUsername()`
  `int`
  `hashCode()`
  hashCode является connectionId - чтобы можно было в hashmap хранить по одному connectionId
  `void`
  `setAccessCode(int accessCode)`
  `void`
  `setAccountMap(Map<Integer,InetSessionLogAccount> accountMap)`
  `void`
  `setAcctSessionId(String acctSessionId)`
  `void`
  `setAgentDeviceId(int agentDeviceId)`
  `void`
  `setCalledStationId(String fromNumber)`
  `void`
  `setCallingStationId(String toNumber)`
  `void`
  `setChildren(List<InetSessionLog> children)`
  `void`
  `setCircuitId(String circuitId)`
  `void`
  `setConnectionStart(Date connectionStart)`
  `void`
  `setContractComment(String contractComment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDelegatedPrefix(byte[] delegatedPrefix)`
  `void`
  `setDelegatedPrefixLength(short delegatedPrefixLength)`
  `void`
  `setDelegatedPrefixResourceId(int delegatedPrefixResourceId)`
  `void`
  `setDeviceId(int deviceId)`
  `void`
  `setDeviceOptions(Set<Integer> deviceOptions)`
  `void`
  `setDevicePort(int port)`
  `void`
  `setInetAddress(String nil)`
  Заглушка для JAXB
  `void`
  `setInetAddressBytes(byte[] inetAddressBytes)`
  `void`
  `setIpResourceId(int ipResourceId)`
  `void`
  `setParentConnectionId(long parentSessionId)`
  `void`
  `setPrefix(byte[] prefix)`
  `void`
  `setPrefixLength(short prefixLength)`
  `void`
  `setPrefixResourceId(int prefixResourceId)`
  `void`
  `setRealm(String realm)`
  `void`
  `setRouteList(List<IpNet> routeList)`
  `void`
  `setServiceTitle(String serviceTitle)`
  `void`
  `setServId(int loginId)`
  `void`
  `setStatusName(String nil)`
  Заглушка для JAXB
  `void`
  `setTrafficMap(Map<Integer,Long> trafficMap)`
  `void`
  `setType(int type)`
  `void`
  `setUsername(String userName)`
  `InetConnection`
  `toConnection()`
  `InetSession`
  `toSession()`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.modules.inet.common.bean.InetSession

  `getConnectionId, getDeviceState, getId, getLastActive, getParentId, getSessionCost, getSessionStart, getSessionStop, getSessionTime, getSplittedId, getStatus, setConnectionId, setDeviceState, setId, setLastActive, setParentId, setSessionCost, setSessionStart, setSessionStop, setSessionTime, setSplittedId, setStatus`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InetSessionLog

    public InetSessionLog()

  - ### InetSessionLog

    public InetSessionLog(InetConnection connection, InetSession session)

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    hashCode является connectionId - чтобы можно было в hashmap хранить по одному connectionId
    Overrides:
      `hashCode` in class `Object`

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getServId

    public int getServId()

  - ### setServId

    public void setServId(int loginId)

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public void setDeviceId(int deviceId)

  - ### getDevicePort

    public int getDevicePort()

  - ### setDevicePort

    public void setDevicePort(int port)

  - ### getAgentDeviceId

    public int getAgentDeviceId()

  - ### setAgentDeviceId

    public void setAgentDeviceId(int agentDeviceId)

  - ### getConnectionStart

    public Date getConnectionStart()

  - ### setConnectionStart

    public void setConnectionStart(Date connectionStart)

  - ### getParentConnectionId

    public long getParentConnectionId()

  - ### setParentConnectionId

    public void setParentConnectionId(long parentSessionId)

  - ### getRealm

    public String getRealm()

  - ### setRealm

    public void setRealm(String realm)

  - ### getChildren

    public List<InetSessionLog> getChildren()

  - ### setChildren

    public void setChildren(List<InetSessionLog> children)

  - ### getAcctSessionId

    public String getAcctSessionId()

  - ### setAcctSessionId

    public void setAcctSessionId(String acctSessionId)

  - ### getUsername

    public String getUsername()

  - ### setUsername

    public void setUsername(String userName)

  - ### getCalledStationId

    public String getCalledStationId()

  - ### setCalledStationId

    public void setCalledStationId(String fromNumber)

  - ### getCallingStationId

    public String getCallingStationId()

  - ### setCallingStationId

    public void setCallingStationId(String toNumber)

  - ### getCircuitId

    public String getCircuitId()

  - ### setCircuitId

    public void setCircuitId(String circuitId)

  - ### getIpResourceId

    public int getIpResourceId()

  - ### setIpResourceId

    public void setIpResourceId(int ipResourceId)

  - ### getInetAddressBytes

    public byte[] getInetAddressBytes()

  - ### setInetAddressBytes

    public void setInetAddressBytes(byte[] inetAddressBytes)

  - ### getInetAddress

    public String getInetAddress()

  - ### setInetAddress

    public void setInetAddress(String nil)
    Заглушка для JAXB
    Parameters:
      `nil` -

  - ### getRouteList

    public List<IpNet> getRouteList()

  - ### setRouteList

    public void setRouteList(List<IpNet> routeList)

  - ### getType

    public int getType()
    Авторизированная ли сессия. Если true - как fake сессия в dialup.
    Returns:

  - ### setType

    public void setType(int type)

  - ### getAccessCode

    public int getAccessCode()
    Для неавторизованной сессии - код ошибки.
    Returns:

  - ### setAccessCode

    public void setAccessCode(int accessCode)

  - ### getDeviceOptions

    public Set<Integer> getDeviceOptions()

  - ### setDeviceOptions

    public void setDeviceOptions(Set<Integer> deviceOptions)

  - ### clone

    public InetSessionLog clone() throws CloneNotSupportedException
    Overrides:
      `clone` in class `Object`
    Throws:
      `CloneNotSupportedException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getTrafficMap

    public Map<Integer,Long> getTrafficMap()

  - ### setTrafficMap

    public void setTrafficMap(Map<Integer,Long> trafficMap)

  - ### getAccountMap

    public Map<Integer,InetSessionLogAccount> getAccountMap()

  - ### setAccountMap

    public void setAccountMap(Map<Integer,InetSessionLogAccount> accountMap)

  - ### getStatusName

    public String getStatusName()

  - ### setStatusName

    public void setStatusName(String nil)
    Заглушка для JAXB
    Parameters:
      `nil` -

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getContractTitle

    public String getContractTitle()

  - ### getServiceTitle

    public String getServiceTitle()

  - ### setServiceTitle

    public void setServiceTitle(String serviceTitle)

  - ### toSession

    public InetSession toSession()

  - ### toConnection

    public InetConnection toConnection()

  - ### getFromNumberToNumberAsString

    public String getFromNumberToNumberAsString()
    Возвращает строку "с номера/на номер" для отображения в таблице
    Returns:

  - ### getDurationAsString

    public String getDurationAsString()
    Возвращает продолжительность сессии в строковом виде.
    Returns:

  - ### getConnectionStartAsString

    public String getConnectionStartAsString()

  - ### getSessionStartAsString

    public String getSessionStartAsString()

  - ### getSessionStopAsString

    public String getSessionStopAsString()

  - ### getSessionActivityAsString

    public String getSessionActivityAsString()

  - ### getPrefixResourceId

    public int getPrefixResourceId()

  - ### setPrefixResourceId

    public void setPrefixResourceId(int prefixResourceId)

  - ### getPrefix

    public byte[] getPrefix()

  - ### setPrefix

    public void setPrefix(byte[] prefix)

  - ### getPrefixLength

    public short getPrefixLength()

  - ### setPrefixLength

    public void setPrefixLength(short prefixLength)

  - ### getDelegatedPrefixResourceId

    public int getDelegatedPrefixResourceId()

  - ### setDelegatedPrefixResourceId

    public void setDelegatedPrefixResourceId(int delegatedPrefixResourceId)

  - ### getDelegatedPrefix

    public byte[] getDelegatedPrefix()

  - ### setDelegatedPrefix

    public void setDelegatedPrefix(byte[] delegatedPrefix)

  - ### getDelegatedPrefixLength

    public short getDelegatedPrefixLength()

  - ### setDelegatedPrefixLength

    public void setDelegatedPrefixLength(short delegatedPrefixLength)